Package com.sun.jna.platform.win32

## Interface WinDef

All Known Subinterfaces:
  `CoreDLL`, `Kernel32`, `Ntifs`, `User32`, `WinBase`, `WinNT`, `WinUser`

All Known Implementing Classes:
  `Kernel32Util`

    public interface WinDef

Ported from Windef.h (various macros and types). Microsoft Windows SDK 6.0A.

Author:
  dblock[at]dblock.org

### Nested Class Summary

Nested Classes
`static class` `WinDef.ATOM` 16-bit unsigned integer.
`static class` `WinDef.BOOL` The Class BOOL.
`static class` `WinDef.BOOLByReference` The Class BOOLByReference.
`static class` `WinDef.BYTE` The Class BYTE.
`static class` `WinDef.CHAR` The Class CHAR.
`static class` `WinDef.CHARByReference` The Class CHARByReference.
`static class` `WinDef.DWORD` 32-bit unsigned integer.
`static class` `WinDef.DWORDByReference` The Class DWORDByReference.
`static class` `WinDef.DWORDLONG` 64-bit unsigned integer.
`static class` `WinDef.HBITMAP` Handle to a bitmap.
`static class` `WinDef.HBRUSH` Handle to a bitmap.
`static class` `WinDef.HCURSOR` Handle to a cursor.
`static class` `WinDef.HDC` Handle to a device context (DC).
`static class` `WinDef.HFONT` Handle to a font.
`static class` `WinDef.HGLRC` handle to an OpenGL rendering context
`static class` `WinDef.HGLRCByReference` handle to an OpenGL rendering context
`static class` `WinDef.HICON` Handle to an icon.
`static class` `WinDef.HINSTANCE` Handle to an instance.
`static class` `WinDef.HKL` Handle to a input locale identifier (formerly called keyboard layout handle).
`static class` `WinDef.HMENU` Handle to a cursor.
`static class` `WinDef.HMODULE` Handle to a module.
`static class` `WinDef.HPALETTE` Handle to a palette.
`static class` `WinDef.HPEN` Handle to a pen.
`static class` `WinDef.HRGN` Handle to a region.
`static class` `WinDef.HRSRC` Handle to a resource.
`static class` `WinDef.HWND` Handle to a window.
`static class` `WinDef.INT_PTR` Integer type big enough for a pointer.
`static class` `WinDef.LCID` The Class LCID.
`static class` `WinDef.LONG` The Class LONG.
`static class` `WinDef.LONGByReference` The Class LONGByReference.
`static class` `WinDef.LONGLONG` The Class LONGLONG.
`static class` `WinDef.LONGLONGByReference` The Class LONGLONGByReference.
`static class` `WinDef.LPARAM` Message parameter.
`static class` `WinDef.LPVOID` LPVOID is simply a Windows API typedef for void* - to pointer to any type so to speak.
`static class` `WinDef.LRESULT` Signed result of message processing.
`static class` `WinDef.POINT` The Class POINT.
`static class` `WinDef.PVOID` The Class PVOID.
`static class` `WinDef.RECT` The Class RECT.
`static class` `WinDef.SCODE` The Class SCODE.
`static class` `WinDef.SCODEByReference` The Class SCODEByReference.
`static class` `WinDef.SHORT` 16-bit short.
`static class` `WinDef.UCHAR` The Class UCHAR.
`static class` `WinDef.UINT` 32-bit unsigned int.
`static class` `WinDef.UINT_PTR` Unsigned INT_PTR.
`static class` `WinDef.UINTByReference` The Class UINTByReference.
`static class` `WinDef.ULONG` 32-bit unsigned integer.
`static class` `WinDef.ULONGByReference` The Class ULONGByReference.
`static class` `WinDef.ULONGLONG` The Class ULONGLONG.
`static class` `WinDef.ULONGLONGByReference` The Class ULONGLONGByReference.
`static class` `WinDef.USHORT` 16-bit unsigned short.
`static class` `WinDef.USHORTByReference` The Class USHORTByReference.
`static class` `WinDef.WORD` 16-bit unsigned integer.
`static class` `WinDef.WORDByReference` The Class WORDByReference.
`static class` `WinDef.WPARAM` Message parameter.

### Field Summary

Fields
`static int` `MAX_PATH` The max path.

### Field Detail

#### MAX_PATH

    static final int MAX_PATH

The max path.

See Also:
  Constant Field Values